# Package org.pgpainless.decryption_verification.syntax_check

package org.pgpainless.decryption_verification.syntax_check
Pushdown Automaton to verify validity of packet sequences according to the OpenPGP Message format.

Related Packages
Package
Description
org.pgpainless.decryption_verification
Classes used to decryption and verification of OpenPGP encrypted / signed data.
org.pgpainless.decryption_verification.cleartext_signatures
Classes related to cleartext signature verification.
Class
Description
InputSymbol
OpenPgpMessageSyntax
This class describes the syntax for OpenPGP messages as specified by rfc4880.
PDA
Pushdown Automaton for validating context-free languages.
StackSymbol
State
Set of states of the automaton.
Syntax
This interface can be used to define a custom syntax for the `PDA`.
Transition
Result of applying a transition rule.